Bug 1023295 - Users are not shown after system start
Users are not shown after system start
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
RejectedBlocker RejectedFreezeException
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 02:42 EDT by Petr Schindler
Modified: 2014-02-11 16:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-11 16:52:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Schindler 2013-10-25 02:42:57 EDT
Description of problem:
Sometimes it happens that users are not shown in gdm. There is only grey
background and nothing on it.

After restart of gdm (systemctl restart gdm.service) users are usually shown
again.

I reproduced it at least on two machines.

Version-Release number of selected component (if applicable):
gdm-3.10.0-1.fc20.x86_64

How reproducible:
It happens about 20% of time

Steps to Reproduce:
1. Boot a pc and wait for the login screen

Actual results:
No users are shown

Expected results:
Users are shown

Additional info:
upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=710854

I propose this as beta blocker because it violates alpha criterion: "A system installed with a release-blocking desktop must boot to a log in screen where it is possible to log in to a working desktop using a user account created during installation or a 'first boot' utility."
Comment 1 Adam Williamson 2013-10-25 02:59:32 EDT
Is the 'not shown?' option that lets you type in a user name available?
Comment 2 Chris Murphy 2013-10-27 23:32:36 EDT
20% is fairly transient. I've not seen this in > 50 installs. I think we need a journalctl output for a boot where users aren't displayed, and maybe it's possible to enable gdm debug logging and attach that also. Without more information I don't see how merely making it a blocker aids in tracking down or fixing the bug.
Comment 3 Jóhann B. Guðmundsson 2013-10-28 06:05:01 EDT
I was unable to duplicate this with tc5. 

The only thing I saw going wrong was an custom image for the user did not presented properly in gdm as in it did not get resized correctly until you clicked the username.
Comment 4 Mike Ruckman 2013-10-28 12:50:48 EDT
Discussed in 2013-10-28 Blocker Review meeting [1]. It was voted a RejectedBlocker and RejectedFreezeException. This appears to be relatively infrequent and doesn't block the user from logging in if they click on "not shown?" in gdm. Rejected as a release blocking bug for F20 beta.

[1] http://meetbot.fedoraproject.org/meetbot/meetbot/fedora-blocker-review/2013-10-28/
Comment 5 Nathanael Noblet 2014-02-11 00:59:58 EST
I have this nearly this exact problem on precisely one machine out of three. It happens 100% of the time. a killall gdm as root results in everything showing up. I don't however have anything that allows me to enter my username. There is absolutely no text whatsoever. Just grey an strace on the gdm processes just sat there doing nothing I can't recall what something about syscall reset or something like that. Is this the same or a new bug where I should be filing something new for?
Comment 6 Adam Williamson 2014-02-11 14:24:32 EST
pschindl never clarified exactly what he was seeing, so it's difficult to know. It might be cleaner for you to file a new bug as this one is kind of stuck. how about we close this and you file a new one?
Comment 7 Nathanael Noblet 2014-02-11 16:52:50 EST
sure - closing in favor of bug 1064049

Note You need to log in before you can comment on or make changes to this bug.